<?php if( ! defined( 'ABSPATH' ) ) exit();

extract( $args );      

$dateformat 	= ovabrw_get_date_format();
$placeholder 	= ovabrw_get_placeholder_date_format( $dateformat );
$hour_default 	= ovabrw_get_setting( get_option( 'ova_brw_booking_form_default_hour', '07:00' ) );
$time_step 		= ovabrw_get_setting( get_option( 'ova_brw_booking_form_step_time', '30' ) );
$title          = $args['booking_title'];
$action 		= $args['search_result']['url'];
$target 		= $args['search_result']['is_external'] != '' ? ' target="_blank"' : '';

$check_in_label  = $args['check_in_label'];
$check_out_label = $args['check_out_label'];
$guests_label 	 = $args['guests_label'];
$branch_label 	 = $args['branch_label'];

$button_label 	= $args['button_label'];
$adults_label 	= $args['adults_label'];
$default_adult_number = $args['default_adult_number'];
$max_adult 		= $args['max_adult'];
$min_adult 		= $args['min_adult'];

$childrens_label = $args['childrens_label'];
$default_children_number = $args['default_children_number'];
$max_children 		= $args['max_children'];
$min_children 		= $args['min_children'];

$slug_custom_taxonomy = $args['slug_custom_taxonomy'];
$terms = get_taxonomy( $slug_custom_taxonomy );

$gueststotal 	= (int)$default_adult_number + (int)$default_children_number;

?>

<div class="ovabrw-search2">
	<h3 class="booking-title"><?php echo esc_html( $title ); ?></h3>
	<form action="<?php echo esc_url( $action ); ?>" method="GET" class="ovabrw-search2-form">
		<div class="ovabrw-s-field">
            
            <?php if( !empty( $slug_custom_taxonomy ) && !empty( $terms ) ) : ?>
	            <!-- branch -->
				<div class="search-field">
					<div class="ovabrw-label">
						<i class="fas fa-map-marker-alt"></i>
						<span class="label"><?php echo esc_html( $branch_label ); ?></span>
					</div>
						<div class="ovabrw-input search_in_taxonomy">
							<?php echo ovabrw_search_taxonomy_dropdown( $slug_custom_taxonomy, $branch_label, '', 'required' ); ?>
							<i class="icomoon icomoon-down-arrow"></i>
						</div>
				</div>
			<?php endif; ?>

            <!-- guest -->
			<div class="search-field guestspicker-control">
				<div class="ovabrw-label">
					<i class="iconly iconly-User2 icbo"></i>
					<span class="label"><?php echo esc_html( $guests_label ); ?></span>
				</div>
				<div class="ovabrw-guestspicker">
					<div class="guestspicker">
						<span class="gueststotal"><?php echo esc_attr( $gueststotal ); ?></span>
						<span class="guestslabel"><?php esc_html_e( 'Persons', 'ova-brw' ); ?></span>
						<i class="icomoon icomoon-down-arrow"></i>
					</div>
				</div>
				<div class="ovabrw-guestspicker-content">
					<div class="guests-buttons">
						<div class="description">
							<label><?php echo esc_html( $adults_label ); ?></label>
						</div>
						<div class="guests-button">
							<div class="guests-icon minus">
								<i class="fas fa-minus"></i>
							</div>
							<input 
								type="text" 
								id="ovabrw_adults" 
								name="ovabrw_adults" 
								class="ovabrw_adults" 
								value="<?php echo esc_attr( $default_adult_number ); ?>" 
								min="<?php echo esc_attr( $min_adult ); ?>" 
								max="<?php echo esc_attr( $max_adult ); ?>" />
							<div class="guests-icon plus">
								<i class="fas fa-plus"></i>
							</div>
						</div>
					</div>

					<div class="guests-buttons">
						<div class="description">
							<label><?php echo esc_html( $childrens_label ); ?></label>
						</div>
						<div class="guests-button">
							<div class="guests-icon minus">
								<i class="fas fa-minus"></i>
							</div>
							<input 
								type="text" 
								id="ovabrw_childrens" 
								name="ovabrw_childrens" 
								class="ovabrw_childrens" 
								value="<?php echo esc_attr( $default_children_number ); ?>" 
								min="<?php echo esc_attr( $min_children ); ?>" 
								max="<?php echo esc_attr( $max_children ); ?>" />
							<div class="guests-icon plus">
								<i class="fas fa-plus"></i>
							</div>
						</div>
					</div>
				</div>
			</div>

            <!-- time check in -->
			<div class="search-field">
				<div class="ovabrw-label">
					<i class="iconly iconly-Calendar icbo"></i>
					<span class="label"><?php echo esc_html( $check_in_label ); ?></span>
				</div>
				<div class="ovabrw-input">
					<input 
						type="text" 
						name="ovabrw_pickup_date" 
						class="ovabrw_datetimepicker ovabrw_start_date" 
						placeholder="<?php echo esc_attr( $placeholder ); ?>" 
						autocomplete="off" 
						data-hour_default="<?php echo esc_attr( $hour_default ); ?>" 
						data-time_step="<?php echo esc_attr( $time_step ); ?>" 
						data-dateformat="<?php echo esc_attr( $dateformat ); ?>" 
						onkeydown="return false" 
						onfocus="blur();" />
					<i class="icomoon icomoon-down-arrow"></i>
				</div>
			</div>
            
            <!-- time check out -->
			<div class="search-field">
				<div class="ovabrw-label">
					<i class="iconly iconly-Calendar icbo"></i>
					<span class="label"><?php echo esc_html( $check_out_label ); ?></span>
				</div>
				<div class="ovabrw-input">
					<input 
						type="text" 
						name="ovabrw_pickoff_date" 
						class="ovabrw_datetimepicker ovabrw_end_date" 
						placeholder="<?php echo esc_attr( $placeholder ); ?>" 
						autocomplete="off" 
						data-hour_default="<?php echo esc_attr( $hour_default ); ?>" 
						data-time_step="<?php echo esc_attr( $time_step ); ?>" 
						data-dateformat="<?php echo esc_attr( $dateformat ); ?>" 
						onkeydown="return false" 
						onfocus="blur();" />
					<i class="icomoon icomoon-down-arrow"></i>
				</div>
			</div>

		</div>
		<!-- button -->
		<div class="ovabrw-search2-btn">
			<button class="ovabrw-btn" type="submit"><?php printf( $button_label ); ?></button>
		</div>
	</form>
	
</div>