<?php
if ( ! defined( 'ABSPATH' ) ) exit();

$id 		= get_the_id();
$title 		= get_the_title();
$link 		= get_permalink( $id );
$image_url 	= get_the_post_thumbnail_url( $id, 'single-post-thumbnail' );
$image_id 	= get_post_thumbnail_id();
$image_alt 	= '';

if ( $image_id ) {
	$image_alt 		= get_post_meta( $image_id, '_wp_attachment_image_alt', true );
	if ( empty( $image_alt ) ) {
		$image_alt = get_the_title( $image_id );
	}
}

$price             = get_post_meta( $id, '_regular_price', true );
$children_number   = get_post_meta( $id, 'ovabrw_children_number', true );
$adult_number      = get_post_meta( $id, 'ovabrw_adult_number', true );
$area_number       = get_post_meta( $id, 'ovabrw_acreage_number', true );
$area_unit         = get_post_meta( $id, 'ovabrw_acreage_unit', true );

?>

<div class="ovabrw-room-content">				
	<a class="room-image" href="<?php echo esc_url( $link ); ?>">
		<img src="<?php echo esc_url( $image_url ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>">
	</a>

	<div class="room-meta">

		<div class="room-price-title">
			<h2 class="room-title">
				<a href="<?php echo esc_url( $link ); ?>">
					<?php echo esc_html( $title ); ?>
				</a>
			</h2>

			<span class="room-price">
            	<?php echo wc_price( $price ) . '/' . esc_html__('night','ova-brw');?>
            </span>
		</div>

		<ul class="room-info">
			<li>
				<i class="flaticon flaticon-manager"></i>
				<span>
				    <?php echo esc_html( $adult_number ) . ' ' . esc_html__('Adults','ova-brw');?>	
				</span>
			</li>
			<li>
				<i class="flaticon flaticon-adoption"></i>
				<span> 
					<?php echo esc_html( $children_number ) . ' ' . esc_html__('Children','ova-brw');?>	
				</span>
			</li>
			<li class="square">
				<i class="flaticon flaticon-select"></i>
				<span> 
					<?php echo esc_html( $area_number );?>	
					<?php echo esc_html( $area_unit );?><sup>2</sup>
				</span>
			</li>
		</ul>
	</div>
</div>