<?php if( ! defined( 'ABSPATH' ) ) exit();

extract( $args );

$date_format 	= ovabrw_get_date_format();
$hour_default 	= ovabrw_get_setting( get_option( 'ova_brw_booking_form_default_hour', '07:00' ) );
$time_step 		= ovabrw_get_setting( get_option( 'ova_brw_booking_form_step_time', '30' ) );

$data_get = $_GET;
$ovabrw_name_product 	= isset( $data_get['ovabrw_name_product'] ) ? sanitize_text_field( $data_get['ovabrw_name_product'] ) : '';
$cat 					= isset( $data_get['cat'] ) ? sanitize_text_field( $data_get['cat'] ) : '';
$ovabrw_pickup_date 	= isset( $data_get['ovabrw_pickup_date'] ) ? sanitize_text_field( $data_get['ovabrw_pickup_date'] ) : '';
$ovabrw_pickoff_date 	= isset( $data_get['ovabrw_pickoff_date'] ) ? sanitize_text_field( $data_get['ovabrw_pickoff_date'] ) : '';
$ovabrw_tag_product 	= isset( $data_get['ovabrw_tag_product'] ) ? sanitize_text_field( $data_get['ovabrw_tag_product'] ) : '';

$result_title 	= $args['result_title'];
$booking_on_page = $args['booking_on_page'];

// Adults
$default_adults = isset( $data_get['ovabrw_adults'] ) ? (int)$data_get['ovabrw_adults'] : $args['default_adults'];
$max_adults 	= $args['max_adults'];
$min_adults 	= $args['min_adults'];

// Childrens
$default_childrens 	= isset( $data_get['ovabrw_childrens'] ) ? (int)$data_get['ovabrw_childrens'] : $args['default_childrens'];
$max_childrens 		= $args['max_childrens'];
$min_childrens 		= $args['min_childrens'];

// Beds
$default_beds 	= isset( $data_get['ovabrw_beds'] ) ? (int)$data_get['ovabrw_beds'] : $args['default_beds'];
$max_beds 		= $args['max_beds'];
$min_beds 		= $args['min_beds'];

// Baths
$default_baths 	= isset( $data_get['ovabrw_baths'] ) ? (int)$data_get['ovabrw_baths'] : $args['default_baths'];
$max_baths 		= $args['max_baths'];
$min_baths 		= $args['min_baths'];

$data 			= array(
	'orderby' 	=> $orderby,
	'order' 	=> $order,
	'posts_per_page' => $posts_per_page,
);
$products 		= ovabrw_search_products( $data );

?>

<div class="elementor_search_map">
	<div class="wrap_search_map">
		<!-- Search Map -->
		<div class="wrap_search">
			<?php if ( $show_filter == 'yes' ): ?>
				<div class="fields_search ovabrw_wd_search">
					<form class="form_search_map" autocomplete="nope" autocorrect="off" autocapitalize="none">
						<div class="wrap_content field">
							<?php

								// Taxonomies
								$args_taxonomy 	= array();
								$taxonomies 	= get_option( 'ovabrw_custom_taxonomy', array() );
								$show_taxonomy 	= get_option( 'ova_brw_search_show_tax_depend_cat', 'yes' );
								if ( $list_taxonomy_custom && is_array( $list_taxonomy_custom ) ) {
									foreach ( $list_taxonomy_custom as $obj_taxonomy ) {
										$taxonomy_slug = $obj_taxonomy['taxonomy_custom'];

										if ( isset( $taxonomies[$taxonomy_slug] ) && ! empty( $taxonomies[$taxonomy_slug] ) ) {
											$taxonomy_name = $taxonomies[$taxonomy_slug]['name'];
											$selected = isset( $_GET[$taxonomy_slug.'_name'] ) ? $_GET[$taxonomy_slug.'_name'] : '';
											$html_taxonomy = ovabrw_search_taxonomy_dropdown( $taxonomy_slug, $taxonomy_name, $selected );
											if ( ! empty( $taxonomy_name ) && $html_taxonomy ):
												$args_taxonomy[$taxonomy_slug] = $taxonomy_name;
											?>
												<div class="label_search wrap_search_taxonomies <?php echo $taxonomy_slug; ?>">
													<?php echo $html_taxonomy; ?>
												</div>
											<?php
											endif;
										}
									}
									?>
									<div class="show_taxonomy" data-show_taxonomy="<?php echo esc_html( $show_taxonomy ); ?>"></div>
									<?php
								}

								?>
								<input 
									type="hidden" 
									id="data_taxonomy_custom" 
									name="data_taxonomy_custom" 
									value="<?php echo esc_attr( json_encode( $args_taxonomy ) ); ?>" />
								<?php
								// End Taxonomies

								// Fields
								foreach ( $args as $key => $value) {
									if ( strpos( $key,'field_' ) !== false ) {
										switch ( $args[$key] ) {
											case 'name':
												?>
												<div class="label_search wrap_search_name">
													<input 
														type="text" 
														value="<?php echo esc_attr($ovabrw_name_product); ?>" 
														name="ovabrw_name_product" 
														autocomplete="nope" 
														autocorrect="off" 
														autocapitalize="none" 
														placeholder="<?php esc_attr_e( 'Name Product', 'ova-brw' ); ?>" />
												</div>
												<?php
												break;

											case 'category':
												?>
												<div class="label_search wrap_search_category">
													<?php echo ovabrw_cat_rental( $cat, '', '' ); ?>
												</div>
												<?php
												break;

											case 'start_date':
												?>
												<div class="label_search wrap_search_start_date">
													<i class="iconly iconly-Calendar icli"></i>
													<input 
														type="text" 
														name="ovabrw_pickup_date" 
														value="<?php echo esc_attr( $ovabrw_pickup_date ); ?>" 
														onkeydown="return false" 
														class="ovabrw_datetimepicker ovabrw_start_date no_time_picker" 
														placeholder="<?php esc_html_e( 'Check in', 'ova-brw' ); ?>" autocomplete="off" 
														data-hour_default="<?php echo esc_attr( $hour_default ); ?>" 
														data-time_step="<?php echo esc_attr( $time_step ); ?>" 
														data-dateformat="<?php echo esc_attr( $date_format ); ?>" />
												</div>
												<?php
												break;

											case 'end_date':
												?>
												<div class="label_search wrap_search_end_date">
													<i class="iconly iconly-Calendar icli"></i>
													<input 
														type="text" 
														name="ovabrw_pickoff_date" 
														value="<?php echo esc_attr( $ovabrw_pickoff_date ); ?>" 
														onkeydown="return false" 
														class="ovabrw_datetimepicker ovabrw_end_date no_time_picker" 
														placeholder="<?php esc_html_e( 'Check out', 'ova-brw' ); ?>" autocomplete="off" 
														data-hour_default="<?php echo esc_attr( $hour_default ); ?>" 
														data-time_step="<?php echo esc_attr( $time_step ); ?>" 
														data-dateformat="<?php echo esc_attr( $date_format ); ?>" />
												</div>
												<?php
												break;
											
											case 'adults':
												?>
												<div class="ovabrw-search-guests field-adults">
													<div class="guests-buttons">
														<div class="description">
															<label><?php esc_html_e( 'Adults', 'ova-brw' ); ?></label>
														</div>
														<div class="guests-button">
															<div class="minus">
																<i class="ovaicon ovaicon-minus-1"></i>
															</div>
															<input 
																type="text" 
																id="ovabrw_adults" 
																name="ovabrw_adults" 
																class="ovabrw_adults" 
																value="<?php echo esc_attr( $default_adults ); ?>" 
																min="<?php echo esc_attr( $min_adults ); ?>" 
																max="<?php echo esc_attr( $max_adults ); ?>" />
															<div class="plus">
																<i class="ovaicon ovaicon-plus"></i>
															</div>
														</div>
													</div>
												</div>
												<?php
												break;

											case 'childrens':
												?>
												<div class="ovabrw-search-guests field-childrens">
													<div class="guests-buttons">
														<div class="description">
															<label><?php esc_html_e( 'Childrens', 'ova-brw' ); ?></label>
														</div>
														<div class="guests-button">
															<div class="minus">
																<i class="ovaicon ovaicon-minus-1"></i>
															</div>
															<input 
																type="text" 
																id="ovabrw_childrens" 
																name="ovabrw_childrens" 
																class="ovabrw_childrens" 
																value="<?php echo esc_attr( $default_childrens ); ?>" 
																min="<?php echo esc_attr( $min_childrens ); ?>" 
																max="<?php echo esc_attr( $max_childrens ); ?>" />
															<div class="plus">
																<i class="ovaicon ovaicon-plus"></i>
															</div>
														</div>
													</div>
												</div>
												<?php
												break;

											case 'beds':
												?>
												<div class="ovabrw-search-guests field-beds">
													<div class="guests-buttons">
														<div class="description">
															<label><?php esc_html_e( 'Beds', 'ova-brw' ); ?></label>
														</div>
														<div class="guests-button">
															<div class="minus">
																<i class="ovaicon ovaicon-minus-1"></i>
															</div>
															<input 
																type="text" 
																id="ovabrw_beds" 
																name="ovabrw_beds" 
																class="ovabrw_beds" 
																value="<?php echo esc_attr( $default_beds ); ?>" 
																min="<?php echo esc_attr( $min_beds ); ?>" 
																max="<?php echo esc_attr( $max_beds ); ?>" />
															<div class="plus">
																<i class="ovaicon ovaicon-plus"></i>
															</div>
														</div>
													</div>
												</div>
												<?php
												break;

											case 'baths':
												?>
												<div class="ovabrw-search-guests field-baths">
													<div class="guests-buttons">
														<div class="description">
															<label><?php esc_html_e( 'Baths', 'ova-brw' ); ?></label>
														</div>
														<div class="guests-button">
															<div class="minus">
																<i class="ovaicon ovaicon-minus-1"></i>
															</div>
															<input 
																type="text" 
																id="ovabrw_baths" 
																name="ovabrw_baths" 
																class="ovabrw_baths" 
																value="<?php echo esc_attr( $default_baths ); ?>" 
																min="<?php echo esc_attr( $min_baths ); ?>" 
																max="<?php echo esc_attr( $max_baths ); ?>" />
															<div class="plus">
																<i class="ovaicon ovaicon-plus"></i>
															</div>
														</div>
													</div>
												</div>
												<?php
												break;

											case 'tag':
												?>
												<div class="label_search wrap_search_tag ovabrw_wd_search">
													<input 
														type="text" 
														name="ovabrw_tag_product" 
														value="<?php echo esc_attr( $ovabrw_tag_product ); ?>"
														autocomplete="nope" 
														autocorrect="off" 
														autocapitalize="none" 
														placeholder="<?php esc_html_e('Tag Product', 'ova-brw'); ?>" />
												</div>
												<?php

											default:
												// code...
												break;
										}
									}
								}
								// End Fields
							?>
						</div><!-- wrap_content -->
					</form>
				</div><!-- fields_search -->
			<?php endif; ?>

			<!-- Load more -->
			<div class="wrap_load_more" style="display: none;">
				<svg class="loader" width="50" height="50">
					<circle cx="25" cy="25" r="10" />
					<circle cx="25" cy="25" r="20" />
				</svg>
			</div>
			<!-- End load more -->

			<?php if ( $result_title ): ?>
				<h2 class="result-title">
					<?php echo esc_html( $result_title ); ?>
				</h2>
			<?php endif; ?>

			<!-- Search result -->
			<div 
				id="search_result" 
				class="search_result" 
				data-order="<?php echo esc_attr( $order ); ?>" 
				data-orderby="<?php echo esc_attr( $orderby ); ?>" 
				data-per_page="<?php echo esc_attr( $posts_per_page ); ?>" 
				data-booking-on-page="<?php echo esc_attr( $booking_on_page ); ?>">
			</div><!-- search_result -->
			<!-- Search result -->
		</div><!-- wrap_search -->
	</div>
</div>